# Interface JvmLibrarySpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, JvmComponentSpec, LibrarySpec, ModelElement, Named, PlatformAwareComponentSpec, SourceComponentSpec, VariantComponent, VariantComponentSpec`

@Incubating public interface JvmLibrarySpec extends LibrarySpec, JvmComponentSpec, PlatformAwareComponentSpec
Definition of a JVM library component that is to be built by Gradle.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`JvmApiSpec`
`getApi()`
The public API of this library.
`DependencySpecContainer`
`getDependencies()`
The component-level dependencies of this library.

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface PlatformAwareComponentSpec

`targetPlatform`

### Methods inherited from interface SourceComponentSpec

`getSources`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`

## Method Details

### getApi

JvmApiSpec getApi()
The public API of this library.

### getDependencies

DependencySpecContainer getDependencies()
The component-level dependencies of this library.